﻿using System;
using Zennolab.CommandCenter;

namespace Simple_Example
{
	internal class Step1
	{
		/// <summary>
		/// Simple example which shows how to work with nested macros
		/// </summary>
		/// <param name="instance">Instance object</param>
		/// <returns>Success</returns>
		public static int Execute(Instance instance)
		{
			// clear cookie
			instance.ClearCookie();

			// go to google.com
			Tab tb = instance.MainTab;
			if ((tb.IsVoid) || (tb.IsNull)) return -1;
			if (tb.IsBusy) tb.WaitDownloading();
			tb.Navigate("google.com");
			if (tb.IsBusy) tb.WaitDownloading();

			HtmlElement he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByName("q");
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildById("lst-ib");
			}
			if (he.IsVoid) {
				he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByAttribute("input:text", "fulltag", "input:text", "text", 0);
			}
			if (he.IsVoid) return -1;
			
			// first way
			he.SetValue(instance.RiseMacros("String.Split", new [] { instance.RiseMacros("File.GetString", new [] { "\\Resources\\email.txt", "random", "false" }), "@", "0" }) ,true);
			
			// sleep 5 seconds
			System.Threading.Thread.Sleep(5000);
			if (tb.IsBusy) tb.WaitDownloading();
			
			he = instance.GetTabByAddress("page").GetDocumentByAddress("0").FindElementByTag("form", 0).FindChildByName("q");
			if (he.IsVoid) return -1;
			
			// second way
			string str = instance.RiseMacros("File.GetString", new [] { "\\Resources\\email.txt", "random", "false" });
			he.SetValue(instance.RiseMacros("String.Split", new [] { str, "@", "0" }) ,true);

			return 0;
		}
	}
}


